﻿<%@ Page Language="C#" AutoEventWireup="true" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

    protected void Page_Load(object sender, EventArgs e)
    {

    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
    <style type="text/css">
        .style1
        {
            width: 100%;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
        <h1>
            Policies and Claims</h1>
    
    </div>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
        ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
        
        SelectCommand="SELECT [policyholderID], [accountNumber], [name], [address] FROM [policyholder] WHERE ([policyholderID] = @policyholderID)" 
        ConflictDetection="CompareAllValues" 
        DeleteCommand="DELETE FROM [policyholder] WHERE [policyholderID] = @original_policyholderID AND [accountNumber] = @original_accountNumber AND [name] = @original_name AND [address] = @original_address" 
        InsertCommand="INSERT INTO [policyholder] ([accountNumber], [name], [address]) VALUES (@accountNumber, @name, @address)" 
        OldValuesParameterFormatString="original_{0}" 
        UpdateCommand="UPDATE [policyholder] SET [accountNumber] = @accountNumber, [name] = @name, [address] = @address WHERE [policyholderID] = @original_policyholderID AND [accountNumber] = @original_accountNumber AND [name] = @original_name AND [address] = @original_address">
        <SelectParameters>
            <asp:QueryStringParameter Name="policyholderID" 
                QueryStringField="policyholderID" Type="Int32" />
        </SelectParameters>
        <DeleteParameters>
            <asp:Parameter Name="original_policyholderID" Type="Int32" />
            <asp:Parameter Name="original_accountNumber" Type="Int32" />
            <asp:Parameter Name="original_name" Type="String" />
            <asp:Parameter Name="original_address" Type="String" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="accountNumber" Type="Int32" />
            <asp:Parameter Name="name" Type="String" />
            <asp:Parameter Name="address" Type="String" />
            <asp:Parameter Name="original_policyholderID" Type="Int32" />
            <asp:Parameter Name="original_accountNumber" Type="Int32" />
            <asp:Parameter Name="original_name" Type="String" />
            <asp:Parameter Name="original_address" Type="String" />
        </UpdateParameters>
        <InsertParameters>
            <asp:Parameter Name="accountNumber" Type="Int32" />
            <asp:Parameter Name="name" Type="String" />
            <asp:Parameter Name="address" Type="String" />
        </InsertParameters>
    </asp:SqlDataSource>
    <table class="style1">
        <tr>
            <td>
                <asp:DetailsView ID="DetailsView1" runat="server" AutoGenerateRows="False" 
                    DataKeyNames="policyholderID" DataSourceID="SqlDataSource1" Width="100%" 
                    EmptyDataText="No matching policy holders found">
                    <FieldHeaderStyle Width="20%" />
                    <Fields>
                        <asp:BoundField DataField="name" HeaderText="name" 
                            SortExpression="name" />
                        <asp:TemplateField HeaderText="address" SortExpression="address">
                            <EditItemTemplate>
                                <asp:TextBox ID="TextBox1" runat="server" Height="38%" 
                                    Text='<%# Bind("address") %>' TextMode="MultiLine" Width="100%"></asp:TextBox>
                            </EditItemTemplate>
                            <InsertItemTemplate>
                                <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("address") %>'></asp:TextBox>
                            </InsertItemTemplate>
                            <ItemTemplate>
                                <asp:Label ID="Label1" runat="server" Height="50%" 
                                    Text='<%# Bind("address") %>' Width="100%"></asp:Label>
                            </ItemTemplate>
                            <ItemStyle Height="50%" Width="100%" />
                        </asp:TemplateField>
                        <asp:BoundField DataField="accountNumber" HeaderText="accountNumber" 
                            SortExpression="accountNumber" />
                        <asp:CommandField EditText="Change Policy Holder Details" ShowEditButton="True">
                            <ItemStyle HorizontalAlign="Center" />
                        </asp:CommandField>
                    </Fields>
                </asp:DetailsView>
            </td>
        </tr>
        <tr style="text-align: center">
            <td>
                <asp:HyperLink ID="HyperLink1" runat="server"  
                NavigateUrl="~/FindPolicyHolders.aspx" style="text-align: center">Find Other Policy Holders</asp:HyperLink>
            </td>
        </tr>
    </table>
    <h2>
        Policies for this Policy Holder</h2>
    <asp:SqlDataSource ID="SqlDataSource2" runat="server" 
        ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
        SelectCommand="SELECT [policyID], [policyNumber], [type], [startDate], [annualPremium], [paidUp], [policyholderID] FROM [policy] WHERE ([policyholderID] = @policyholderID)">
        <SelectParameters>
            <asp:QueryStringParameter Name="policyholderID" 
                QueryStringField="policyholderID" Type="Int32" />
        </SelectParameters>
    </asp:SqlDataSource>
    <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" 
        DataKeyNames="policyID" DataSourceID="SqlDataSource2" 
        EmptyDataText="No policies found">
        <Columns>
            <asp:CommandField ShowSelectButton="True" />
            <asp:BoundField DataField="policyNumber" HeaderText="policyNumber" 
                SortExpression="policyNumber" />
            <asp:BoundField DataField="type" HeaderText="type" SortExpression="type" />
            <asp:BoundField DataField="startDate" DataFormatString="{0:d}" 
                HeaderText="startDate" SortExpression="startDate" />
            <asp:BoundField DataField="annualPremium" DataFormatString="{0:c}" 
                HeaderText="annualPremium" SortExpression="annualPremium" />
            <asp:BoundField DataField="paidUp" HeaderText="paidUp" 
                SortExpression="paidUp" />
        </Columns>
        <SelectedRowStyle BackColor="Black" ForeColor="White" />
    </asp:GridView>
    <br />
    <h2>
        Claims for Selected Policy</h2>
    <asp:SqlDataSource ID="SqlDataSource3" runat="server" 
        ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
        SelectCommand="SELECT [claimID], [reference], [description], [amount], [approved], [claimDate], [policyID] FROM [claim] WHERE ([policyID] = @policyID)">
        <SelectParameters>
            <asp:ControlParameter ControlID="GridView1" Name="policyID" 
                PropertyName="SelectedValue" Type="Int32" />
        </SelectParameters>
    </asp:SqlDataSource>
    <asp:GridView ID="GridView2" runat="server" AutoGenerateColumns="False" 
        DataKeyNames="claimID" DataSourceID="SqlDataSource3" 
        EmptyDataText="No claims found">
        <Columns>
            <asp:CommandField ShowSelectButton="True" />
            <asp:BoundField DataField="reference" HeaderText="reference" 
                SortExpression="reference" />
            <asp:BoundField DataField="description" HeaderText="description" 
                SortExpression="description" />
            <asp:BoundField DataField="amount" DataFormatString="{0:c}" HeaderText="amount" 
                SortExpression="amount" />
            <asp:BoundField DataField="approved" HeaderText="approved" 
                SortExpression="approved" />
            <asp:BoundField DataField="claimDate" DataFormatString="{0:d}" 
                HeaderText="claimDate" SortExpression="claimDate" />
        </Columns>
        <SelectedRowStyle BackColor="Black" ForeColor="White" />
    </asp:GridView>
    <br />
    <asp:SqlDataSource ID="SqlDataSource4" runat="server" 
        ConflictDetection="CompareAllValues" 
        ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
        DeleteCommand="DELETE FROM [claim] WHERE [claimID] = @original_claimID AND [reference] = @original_reference AND [description] = @original_description AND [amount] = @original_amount AND [approved] = @original_approved AND [claimDate] = @original_claimDate AND [policyID] = @original_policyID" 
        InsertCommand="INSERT INTO [claim] ([reference], [description], [amount], [approved], [claimDate], [policyID]) VALUES (@reference, @description, @amount, @approved, @claimDate, @policyID)" 
        OldValuesParameterFormatString="original_{0}" 
        SelectCommand="SELECT [claimID], [reference], [description], [amount], [approved], [claimDate], [policyID] FROM [claim] WHERE ([claimID] = @claimID)" 
        UpdateCommand="UPDATE [claim] SET [reference] = @reference, [description] = @description, [amount] = @amount, [approved] = @approved, [claimDate] = @claimDate, [policyID] = @policyID WHERE [claimID] = @original_claimID AND [reference] = @original_reference AND [description] = @original_description AND [amount] = @original_amount AND [approved] = @original_approved AND [claimDate] = @original_claimDate AND [policyID] = @original_policyID">
        <SelectParameters>
            <asp:ControlParameter ControlID="GridView2" Name="claimID" 
                PropertyName="SelectedValue" Type="Int32" />
        </SelectParameters>
        <DeleteParameters>
            <asp:Parameter Name="original_claimID" Type="Int32" />
            <asp:Parameter Name="original_reference" Type="String" />
            <asp:Parameter Name="original_description" Type="String" />
            <asp:Parameter Name="original_amount" Type="Decimal" />
            <asp:Parameter Name="original_approved" Type="String" />
            <asp:Parameter Name="original_claimDate" Type="DateTime" />
            <asp:Parameter Name="original_policyID" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="reference" Type="String" />
            <asp:Parameter Name="description" Type="String" />
            <asp:Parameter Name="amount" Type="Decimal" />
            <asp:Parameter Name="approved" Type="String" />
            <asp:Parameter Name="claimDate" Type="DateTime" />
            <asp:Parameter Name="policyID" Type="Int32" />
            <asp:Parameter Name="original_claimID" Type="Int32" />
            <asp:Parameter Name="original_reference" Type="String" />
            <asp:Parameter Name="original_description" Type="String" />
            <asp:Parameter Name="original_amount" Type="Decimal" />
            <asp:Parameter Name="original_approved" Type="String" />
            <asp:Parameter Name="original_claimDate" Type="DateTime" />
            <asp:Parameter Name="original_policyID" Type="Int32" />
        </UpdateParameters>
        <InsertParameters>
            <asp:Parameter Name="reference" Type="String" />
            <asp:Parameter Name="description" Type="String" />
            <asp:Parameter Name="amount" Type="Decimal" />
            <asp:Parameter Name="approved" Type="String" />
            <asp:Parameter Name="claimDate" Type="DateTime" />
            <asp:Parameter Name="policyID" Type="Int32" />
        </InsertParameters>
    </asp:SqlDataSource>
    <asp:FormView ID="FormView1" runat="server" DataKeyNames="claimID" 
        DataSourceID="SqlDataSource4" style="margin-right: 30px">
        <EditItemTemplate>
            <table class="style1">
                <tr>
                    <td>
                        reference:
                    </td>
                    <td>
                        <asp:TextBox ID="referenceTextBox0" runat="server" 
                            Text='<%# Bind("reference") %>' />
                    </td>
                    <td>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" 
                            ControlToValidate="referenceTextBox0" 
                            ErrorMessage="Please enter the claim reference"></asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td>
                        description:
                    </td>
                    <td>
                        <asp:TextBox ID="descriptionTextBox0" runat="server" 
                            Text='<%# Bind("description") %>' />
                    </td>
                    <td>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" 
                            ControlToValidate="descriptionTextBox0" 
                            ErrorMessage="Please enter the claim description"></asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td>
                        amount:
                    </td>
                    <td>
                        <asp:TextBox ID="amountTextBox0" runat="server" 
                            Text='<%# Bind("amount","{0:0.00}") %>' />
                    </td>
                    <td>
                        <asp:CompareValidator ID="CompareValidator1" runat="server" 
                            ControlToValidate="amountTextBox0" ErrorMessage="Please enter a numeric amount" 
                            Operator="DataTypeCheck" Type="Currency"></asp:CompareValidator>
                    </td>
                </tr>
                <tr>
                    <td>
                        approved:
                    </td>
                    <td>
                        <asp:TextBox ID="approvedTextBox0" runat="server" 
                            Text='<%# Bind("approved") %>' />
                    </td>
                    <td>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" 
                            ControlToValidate="approvedTextBox0" 
                            ErrorMessage="Please enter the approved flag (Y or N)"></asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td>
                        claimDate:
                    </td>
                    <td>
                        <asp:TextBox ID="claimDateTextBox0" runat="server" 
                            Text='<%# Bind("claimDate", "{0:d}") %>' />
                    </td>
                    <td>
                        <asp:CompareValidator ID="CompareValidator2" runat="server" 
                            ControlToValidate="claimDateTextBox0" 
                            ErrorMessage="Please enter the claim date" Operator="DataTypeCheck" Type="Date"></asp:CompareValidator>
                    </td>
                </tr>
                <tr>
                    <td>
                        policyID:
                    </td>
                    <td>
                        <asp:TextBox ID="policyIDTextBox0" runat="server" 
                            Text='<%# Bind("policyID") %>' />
                    </td>
                    <td>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" 
                            ControlToValidate="policyIDTextBox0" ErrorMessage="Please enter the policy ID"></asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td>
                        &nbsp;</td>
                    <td>
                        <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" 
                            CommandName="Update" Text="Update" />
                    </td>
                    <td>
                        <asp:LinkButton ID="InsertCancelButton" runat="server" CausesValidation="False" 
                            CommandName="Cancel" Text="Cancel" />
                    </td>
                </tr>
            </table>
        </EditItemTemplate>
        <InsertItemTemplate>
            <table class="style1">
                <tr>
                    <td>
                        reference:
                    </td>
                    <td>
                        <asp:TextBox ID="referenceTextBox0" runat="server" 
                            Text='<%# Bind("reference") %>' />
                    </td>
                    <td>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" 
                            ControlToValidate="referenceTextBox0" 
                            ErrorMessage="Please enter the claim reference"></asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td>
                        description:
                    </td>
                    <td>
                        <asp:TextBox ID="descriptionTextBox0" runat="server" 
                            Text='<%# Bind("description") %>' />
                    </td>
                    <td>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" 
                            ControlToValidate="descriptionTextBox0" 
                            ErrorMessage="Please enter the claim description"></asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td>
                        amount:
                    </td>
                    <td>
                        <asp:TextBox ID="amountTextBox0" runat="server" 
                            Text='<%# Bind("amount","{0:0.00}") %>' />
                    </td>
                    <td>
                        <asp:CompareValidator ID="CompareValidator1" runat="server" 
                            ControlToValidate="amountTextBox0" ErrorMessage="Please enter a numeric amount" 
                            Operator="DataTypeCheck" Type="Currency"></asp:CompareValidator>
                    </td>
                </tr>
                <tr>
                    <td>
                        approved:
                    </td>
                    <td>
                        <asp:TextBox ID="approvedTextBox0" runat="server" 
                            Text='<%# Bind("approved") %>' />
                    </td>
                    <td>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" 
                            ControlToValidate="approvedTextBox0" 
                            ErrorMessage="Please enter the approved flag (Y or N)"></asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td>
                        claimDate:
                    </td>
                    <td>
                        <asp:TextBox ID="claimDateTextBox0" runat="server" 
                            Text='<%# Bind("claimDate", "{0:d}") %>' />
                    </td>
                    <td>
                        <asp:CompareValidator ID="CompareValidator2" runat="server" 
                            ControlToValidate="claimDateTextBox0" 
                            ErrorMessage="Please enter the claim date" Operator="DataTypeCheck" Type="Date"></asp:CompareValidator>
                    </td>
                </tr>
                <tr>
                    <td>
                        policyID:
                    </td>
                    <td>
                        <asp:TextBox ID="policyIDTextBox0" runat="server" 
                            Text='<%# Bind("policyID") %>' />
                    </td>
                    <td>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" 
                            ControlToValidate="policyIDTextBox0" ErrorMessage="Please enter the policy ID"></asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td>
                        &nbsp;</td>
                    <td>
                        <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" 
                            CommandName="Insert" Text="Insert" />
                    </td>
                    <td>
                        <asp:LinkButton ID="InsertCancelButton" runat="server" CausesValidation="False" 
                            CommandName="Cancel" Text="Cancel" />
                    </td>
                </tr>
            </table>
        </InsertItemTemplate>
        <ItemTemplate>
            <table class="style1">
                <tr>
                    <td>
                        reference:
                    </td>
                    <td>
                        <asp:Label ID="referenceLabel" runat="server" Text='<%# Bind("reference") %>' />
                    </td>
                </tr>
                <tr>
                    <td>
                        description:</td>
                    <td>
                        <asp:Label ID="descriptionLabel" runat="server" 
                            Text='<%# Bind("description") %>' />
                    </td>
                </tr>
                <tr>
                    <td>
                        amount:
                    </td>
                    <td>
                        <asp:Label ID="amountLabel" runat="server" 
                            Text='<%# Bind("amount", "{0:C}") %>' />
                    </td>
                </tr>
                <tr>
                    <td>
                        approved:
                    </td>
                    <td>
                        <asp:Label ID="approvedLabel" runat="server" Text='<%# Bind("approved") %>' />
                    </td>
                </tr>
                <tr>
                    <td>
                        claimDate:
                    </td>
                    <td>
                        <asp:Label ID="claimDateLabel" runat="server" 
                            Text='<%# Bind("claimDate", "{0:d}") %>' />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:LinkButton ID="EditButton" runat="server" CausesValidation="False" 
                            CommandName="Edit" Text="Edit" />
                    </td>
                    <td>
                        <asp:LinkButton ID="NewButton" runat="server" CausesValidation="False" 
                            CommandName="New" Text="New" />
                    </td>
                </tr>
            </table>
        </ItemTemplate>
    </asp:FormView>
    <br />
    </form>
</body>
</html>
