﻿<%@ Page Language="C#" AutoEventWireup="true" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
        <asp:DetailsView ID="DetailsView1" runat="server" AutoGenerateRows="False" 
            DataKeyNames="claimID" DataSourceID="SqlDataSource1" DefaultMode="Insert" 
            Height="50px" Width="125px">
            <Fields>
                <asp:BoundField DataField="claimID" HeaderText="claimID" InsertVisible="False" 
                    ReadOnly="True" SortExpression="claimID" />
                <asp:BoundField DataField="reference" HeaderText="reference" 
                    SortExpression="reference" />
                <asp:BoundField DataField="description" HeaderText="description" 
                    SortExpression="description" />
                <asp:BoundField DataField="amount" HeaderText="amount" 
                    SortExpression="amount" />
                <asp:BoundField DataField="approved" HeaderText="approved" 
                    SortExpression="approved" />
                <asp:BoundField DataField="claimDate" HeaderText="claimDate" 
                    SortExpression="claimDate" />
                <asp:BoundField DataField="policyID" HeaderText="policyID" 
                    SortExpression="policyID" />
            </Fields>
        </asp:DetailsView>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
            ConflictDetection="CompareAllValues" 
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
            DeleteCommand="DELETE FROM [claim] WHERE [claimID] = @original_claimID AND [reference] = @original_reference AND [description] = @original_description AND [amount] = @original_amount AND [approved] = @original_approved AND [claimDate] = @original_claimDate AND [policyID] = @original_policyID" 
            InsertCommand="INSERT INTO [claim] ([reference], [description], [amount], [approved], [claimDate], [policyID]) VALUES (@reference, @description, @amount, @approved, @claimDate, @policyID)" 
            OldValuesParameterFormatString="original_{0}" 
            SelectCommand="SELECT * FROM [claim]" 
            UpdateCommand="UPDATE [claim] SET [reference] = @reference, [description] = @description, [amount] = @amount, [approved] = @approved, [claimDate] = @claimDate, [policyID] = @policyID WHERE [claimID] = @original_claimID AND [reference] = @original_reference AND [description] = @original_description AND [amount] = @original_amount AND [approved] = @original_approved AND [claimDate] = @original_claimDate AND [policyID] = @original_policyID">
            <DeleteParameters>
                <asp:Parameter Name="original_claimID" Type="Int32" />
                <asp:Parameter Name="original_reference" Type="String" />
                <asp:Parameter Name="original_description" Type="String" />
                <asp:Parameter Name="original_amount" Type="Decimal" />
                <asp:Parameter Name="original_approved" Type="String" />
                <asp:Parameter Name="original_claimDate" Type="DateTime" />
                <asp:Parameter Name="original_policyID" Type="Int32" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="reference" Type="String" />
                <asp:Parameter Name="description" Type="String" />
                <asp:Parameter Name="amount" Type="Decimal" />
                <asp:Parameter Name="approved" Type="String" />
                <asp:Parameter Name="claimDate" Type="DateTime" />
                <asp:Parameter Name="policyID" Type="Int32" />
                <asp:Parameter Name="original_claimID" Type="Int32" />
                <asp:Parameter Name="original_reference" Type="String" />
                <asp:Parameter Name="original_description" Type="String" />
                <asp:Parameter Name="original_amount" Type="Decimal" />
                <asp:Parameter Name="original_approved" Type="String" />
                <asp:Parameter Name="original_claimDate" Type="DateTime" />
                <asp:Parameter Name="original_policyID" Type="Int32" />
            </UpdateParameters>
            <InsertParameters>
                <asp:Parameter Name="reference" Type="String" />
                <asp:Parameter Name="description" Type="String" />
                <asp:Parameter Name="amount" Type="Decimal" />
                <asp:Parameter Name="approved" Type="String" />
                <asp:Parameter Name="claimDate" Type="DateTime" />
                <asp:Parameter Name="policyID" Type="Int32" />
            </InsertParameters>
        </asp:SqlDataSource>
    
    </div>
    </form>
</body>
</html>
